/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\misc\valentinesday\dreadcupid.cs
Lines of code: 90
***********************************************************/


using System;
using System.Collections;
using Server.Items;


namespace Server.Mobiles
{
	[CorpseName( "a cupid corpse " )]
	public class cupid : BaseCreature
	{
	

	
		[Constructable]
		public cupid() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.049, 0.059 )
		{
			Name = "A Dread Cupid";
			BodyValue = 123;
			
			Hue = 1278;			
			
			
			SetDamage( 13, 17 );

			SetDamageType( ResistanceType.Physical, 60 );
			SetDamageType( ResistanceType.Fire, 20 );
			SetDamageType( ResistanceType.Poison, 20 );

			SetResistance( ResistanceType.Physical, 70 );
			SetResistance( ResistanceType.Fire, 70);
			SetResistance( ResistanceType.Cold, 70 );
			SetResistance( ResistanceType.Poison, 70 );
			SetResistance( ResistanceType.Energy, 70  );

			
			SetStr( 250, 400 );
			SetDex( 70, 125 );
			SetInt( 25, 45 );

		
			
			
			SetSkill( SkillName.MagicResist, 100, 120 );
			SetSkill( SkillName.Focus, 100, 120 );
			SetSkill( SkillName.Archery, 100, 120 );
			SetSkill( SkillName.Tactics, 110, 120 );
			SetSkill( SkillName.Anatomy, 100, 120 );		
			SetSkill( SkillName.Magery, 100, 120 );		
			SetSkill( SkillName.Necromancy, 100, 120 );		
			SetSkill( SkillName.SpiritSpeak, 100, 120 );		
			


			Fame = 14000;
			Karma = -15000;



			Bow wep = new Bow();

			AddItem(wep);


			Gold gold = new Gold(600+Utility.Random(1500));
			gold.Hue=1278;
			gold.Name="Wubby Money";

			PackItem(gold);
			
			PackItem( new Arrow( Utility.RandomMinMax( 50, 70 ) ) );


		}
		
		public override void OnDeath( Container c )
 		{
			base.OnDeath( c );
	 	}


		public override void GenerateLoot()
		{
		AddLoot( LootPack.FilthyRich );
		}
		
		
		    public override void OnDamage( int amount, Mobile attacker, bool willKill )
            {
			if(attacker==null) return;
	                Map map = this.Map;
				
	                switch( Utility.Random( 30 ) )
                    {
                    case 0: Say( "Love hurts!" ); break;
                    case 6: Say( "Will you be my valentine?" ); break;
                    case 26: Say( "You know you want to die! With me!" ); break;
                    case 28: Say( "Be my true love, OR DIE!" ); break;
					case 15: Say( "I told you, you should use protection!" );
					BaseCreature temp = new aids();
					temp.Team = this.Team;
					temp.Combatant = attacker;
		            temp.MoveToWorld( new Point3D( attacker.X, attacker.Y, attacker.Z ), map );
					break;
                    }

					
				if(0.1<Utility.RandomDouble())return;
					


                BaseCreature dbs = new cupidminion();
                dbs.Team = this.Team;
				dbs.Combatant = attacker;
                dbs.MoveToWorld( new Point3D( attacker.X, attacker.Y, attacker.Z ), map );


            }		

		

		public cupid( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
